質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.23%

redmineのall-in-oneインストーラを用いるとエラーが発生

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 1,870

totomore

score 35

redmineのall-in-oneインストーラを用いるとエラーが発生します。
解決方法がわかる方がいらっしゃいましたら、ご教授お願いいたします。

インストーラ配布元
      リンク内容
インストーラ
bitnami-redmine-3.1.2-0-windows-installer.exe

環境
windows 7
64bit
professional

インストール後の処理を実行中に問題が発生しました。インストールが正しく完了していない可能性があります    
 実行中にエラーが起きました C:\Bitnami\redmine-3.1.2-0/apps/redmine\scripts\redmineini.bat  : C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/site_ruby/2.0.0/rbreadline.rb:1097:in `<module:RbReadline>': HOME environment variable (or HOMEDRIVE and HOMEPATH) must be set and point to a directory (RuntimeError)    
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/site_ruby/2.0.0/rbreadline.rb:17:in `<top (required)>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/site_ruby/2.0.0/readline.rb:10:in `<module:Readline>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/site_ruby/2.0.0/readline.rb:8:in `<top (required)>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/vendor/thor/lib/thor/line_editor/readline.rb:2:in `<top (required)>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/vendor/thor/lib/thor/line_editor.rb:2:in `<top (required)>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/vendor/thor/lib/thor/base.rb:8:in `<top (required)>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/vendor/thor/lib/thor.rb:2:in `<top (required)>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/vendored_thor.rb:2:in `<top (required)>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/friendly_errors.rb:3:in `<top (required)>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/bin/bundle:17:in `<top (required)>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/bin/bundle:23:in `load'
    from C:/Bitnami/redmine-3.1.2-0/ruby/bin/bundle:23:in `<main>'
C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/spec_set.rb:92:in `block in materialize': Could not find rake-10.4.2 in any of the sources (Bundler::GemNotFound)    
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/spec_set.rb:85:in `map!'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/spec_set.rb:85:in `materialize'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/definition.rb:132:in `specs'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/definition.rb:177:in `specs_for'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/definition.rb:166:in `requested_specs'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/environment.rb:18:in `requested_specs'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/runtime.rb:13:in `setup'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler.rb:122:in `setup'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/setup.rb:18:in `<top (required)>'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:135:in `require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:135:in `rescue in require'
    from C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:144:in `require'
    from bin/rake:14:in `<main>'
C:/Bitnami/redmine-3.1.2-0/ruby/lib/ruby/gems/2.0.0/gems/bundler-1.9.6/lib/bundler/spec_set.rb:92:in `block in materialize': Could not find rake-10.4.2 in any of the sources (Bundler::GemNotFound)    

  以下 省略
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

check解決した方法

0

本家のサイトに同じ事象事例が出ていましたが 試してもダメでした。

https://github.com/oneclick/rubyinstaller/wiki/Troubleshooting#gem-commands-fails-if-home-maps-to-a-network-drive https://community.bitnami.com/t/redmine-2-6-2-to-3-0-3-in-windows/31408/24

他のマシンで実行してみますと 動きましたので、今のところ他のマシンで動かすことにしました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

HOME environment variable (or HOMEDRIVE and HOMEPATH) must be set and point to a directoryとエラーが出ていますので、
環境変数にHOME(もしくはHOMEDRIVEHOMEPATH)が設定されているか確認してみてください。

例:
HOMEDRIVE=C:
HOMEPATH=\Users\Administrator

参考

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/12/03 12:12

    回答ありがとうございます。
    HOMEDRIVEとHOMEPATHの設定は大丈夫みたいです。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.23%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る